## org.biojava.bio.search
Class BlastLikeSearchFilter.BySearchProperty

    java.lang.Object
      org.biojava.bio.search.BlastLikeSearchFilter.AbstractBlastLikeSearchFilter
          org.biojava.bio.search.BlastLikeSearchFilter.BySearchProperty

All Implemented Interfaces:
  Serializable, BlastLikeSearchFilter

Enclosing interface:
  BlastLikeSearchFilter

    public static final class BlastLikeSearchFilter.BySearchProperty

extends BlastLikeSearchFilter.AbstractBlastLikeSearchFilter

Applies test to the value specified by the key in search properties.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.search.BlastLikeSearchFilter
`BlastLikeSearchFilter.AbstractBlastLikeSearchFilter, BlastLikeSearchFilter.And, BlastLikeSearchFilter.ByHitProperty, BlastLikeSearchFilter.BySearchProperty, BlastLikeSearchFilter.BySubHitProperty, BlastLikeSearchFilter.Node, BlastLikeSearchFilter.Not, BlastLikeSearchFilter.Or`

Field Summary

Fields inherited from class org.biojava.bio.search.BlastLikeSearchFilter.AbstractBlastLikeSearchFilter
`cachedOutcome`

Fields inherited from interface org.biojava.bio.search.BlastLikeSearchFilter
`KEY_QUERY_ID`

Constructor Summary
`BlastLikeSearchFilter.BySearchProperty(String key, FilterTest test)`

Method Summary
`void` `evaluate(BlastLikeSearchFilter.Node fch)` computes the outcome of this filter on the specified node and stores it.

Methods inherited from class org.biojava.bio.search.BlastLikeSearchFilter.AbstractBlastLikeSearchFilter
`accept, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlastLikeSearchFilter.BySearchProperty

    public BlastLikeSearchFilter.BySearchProperty(String key,
                                                  FilterTest test)

Method Detail

### evaluate

    public void evaluate(BlastLikeSearchFilter.Node fch)

  Description copied from interface: `BlastLikeSearchFilter`
  computes the outcome of this filter on the specified node and stores it. This method is only exposed to permit it to be included in an interface. Users should not use it.

  Specified by:
    `evaluate` in interface `BlastLikeSearchFilter`
  Specified by:
    `evaluate` in class `BlastLikeSearchFilter.AbstractBlastLikeSearchFilter`